> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post formal notice



## OpenAPI

````yaml /openapi.json post /formal-notice
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /formal-notice:
    post:
      tags:
        - formal-notice
      operationId: FormalNoticeController_executeFormalNoticeWorkflow
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteFormalNoticeGenerationBody'
      responses:
        '200':
          description: Execute the formal notice workflow
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteFormalNoticeGenerationOutput'
components:
  schemas:
    ExecuteFormalNoticeGenerationBody:
      type: object
      properties:
        whenAt:
          type: string
          description: 'Optional: the whenAt datetime'
        policyId:
          type: string
          description: The ID of the policy to generate the formal notice for
        customerId:
          type: string
          description: The ID of the customer to generate the formal notice for
      required:
        - policyId
        - customerId
    ExecuteFormalNoticeGenerationOutput:
      type: object
      properties:
        workflowRunId:
          type: string
          description: The ID of the formal notice that was generated
      required:
        - workflowRunId

````